Bug 8719 - Private lists always sorted by title (even when author or date is selected)
Summary: Private lists always sorted by title (even when author or date is selected)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Adrien SAURAT
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 10:25 UTC by Adrien SAURAT
Modified: 2013-12-05 19:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.01 KB, patch)
2012-09-04 12:01 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8719: Private lists always sorted by title (1.15 KB, patch)
2012-09-06 20:18 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-09-04 10:25:33 UTC
When you private list is edited, you can select how it will be sorted : by title, author or copyrightdate.
But when displaying the list, it's always sorted by title.
Comment 1 Adrien SAURAT 2012-09-04 12:01:42 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-09-06 20:18:57 UTC
Created attachment 12027 [details] [review]
[SIGNED-OFF] Bug 8719: Private lists always sorted by title

Virtualshelves:
The private lists were sorted by title, even when author or date was selected.
This patch corrects this behaviour.

Signed-off-by: Marc Veron <veron@veron.ch>

With this patch lists sort as expected.
Comment 3 Jonathan Druart 2012-09-13 09:27:41 UTC
Short and effective.
Marked as Passed QA.
Comment 4 Paul Poulain 2012-09-14 09:31:02 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-09-15 19:30:23 UTC
No string changes, pushed to 3.8.x will be in 3.8.5